Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class SimpleLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.SimpleLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

Direct Known Subclasses:
  BiasedLinearLayer, ContextLayer, GaussianLayer, GaussLayer, LinearLayer, LogarithmicLayer, SigmoidLayer, SineLayer, TanhLayer, WTALayer

    public abstract class SimpleLayer

extends Layer

This abstract class represents layers that are composed by neurons that implement some transfer function.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`SimpleLayer()` The constructor
`SimpleLayer(java.lang.String ElemName)` The constructor

Method Summary
`protected void` | `backward(double[] parm1)` Reverse transfer function of the component.
`double` | `getLearningRate()` Returns the value of the learning rate of the Layer
`double` | `getLrate()` Needed for Save As XML
`double` | `getMomentum()` Returns the value of the momentum of the Layer
`protected void` | `setDimensions()` Sets the dimension of the layer.
`void` | `setLrate(double newLrate)` Needed for Save As XML
`void` | `setMomentum(double newMomentum)` Needed for Save As XML
`void` | `setMonitor(Monitor parm1)` Sets the monitor object

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToFwdPattern, adjustSizeToRevPattern, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, forward, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getLearner, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, Inspections, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleLayer

    public SimpleLayer()

  The constructor

### SimpleLayer

    public SimpleLayer(java.lang.String ElemName)

  The constructor

  Parameters:
    `ElemName` - The name of the Layer

Method Detail

### backward

    protected void backward(double[] parm1)

  Description copied from class: `Layer`
  Reverse transfer function of the component.

  Specified by:
    `backward` in class `Layer`
  Parameters:
    `parm1` - input pattern on which to apply the transfer function

### getLearningRate

    public double getLearningRate()

  Returns the value of the learning rate of the Layer

  Returns:
    double

### getMomentum

    public double getMomentum()

  Returns the value of the momentum of the Layer

  Returns:
    double

### setDimensions

    protected void setDimensions()

  Description copied from class: `Layer`
  Sets the dimension of the layer. Override to define how the internal buffers must be sized.

  Specified by:
    `setDimensions` in class `Layer`

### setMonitor

    public void setMonitor(Monitor parm1)

  Description copied from class: `Layer`
  Sets the monitor object

  Specified by:
    `setMonitor` in interface `NeuralLayer`
  Overrides:
    `setMonitor` in class `Layer`
  Parameters:
    `parm1` - The Monitor

### getLrate

    public double getLrate()

  Needed for Save As XML

### setLrate

    public void setLrate(double newLrate)

  Needed for Save As XML

### setMomentum

    public void setMomentum(double newMomentum)

  Needed for Save As XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net